DCMTK: DSRDocumentTreeNodeRelationshipTypeFilter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRDocumentTreeNodeRelationshipTypeFilter Class Reference

Class implementing a document tree node filter that checks for a given relationship type. More...

Inheritance diagram for DSRDocumentTreeNodeRelationshipTypeFilter:

## Public Member Functions
| DSRDocumentTreeNodeRelationshipTypeFilter (const DSRTypes::E_RelationshipType &relationshipType)
| constructor
virtual | ~DSRDocumentTreeNodeRelationshipTypeFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion (relationship type)
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes
const DSRTypes::E_RelationshipType | RelationshipType
| relationship type to check for

## Detailed Description

Class implementing a document tree node filter that checks for a given relationship type.

## Constructor & Destructor Documentation

## ◆ DSRDocumentTreeNodeRelationshipTypeFilter()

DSRDocumentTreeNodeRelationshipTypeFilter::DSRDocumentTreeNodeRelationshipTypeFilter | ( | const DSRTypes::E_RelationshipType & | relationshipType | ) |

constructor

Parameters

  relationshipType | relationship type to check for

## Member Function Documentation

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeRelationshipTypeFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| virtual

check whether given node matches the filter criterion (relationship type)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2